<template>
  <div class="hello">
    <button @click="handleClick">触发事件</button>
    <Child />
  </div>
</template>

<script>

import Emitter from './emitter'
import Child from './Child'
export default {
  name: 'HelloWorld',
  mixins:[Emitter],
  data () {
    return {
      msg: 'HelloWorld'
    }
  },
  components:{
    Child
  },
  methods:{
    handleDispatch () {
      this.dispatch();
    },
    handleBroadcast () {
      this.broadcast();
    },
    handleClick () {
      this.broadcast('Child', 'on-message', 'Hello Vue.js');
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>

</style>
